# STREAMING

```
int GET_MODEL_INFO(Hash model)
void REQUEST_MODEL(Hash model)
bool HAS_MODEL_LOADED(Hash model)
void SET_MODEL_AS_NO_LONGER_NEEDED(Hash model)
bool IS_MODEL_IN_CDIMAGE(Hash model)
bool IS_MODEL_VALID(Hash model)
bool IS_MODEL_A_PED(Hash model)
bool IS_MODEL_A_VEHICLE(Hash model)
bool DOES_ANIM_DICT_EXIST(string animDict)
void REQUEST_ANIM_DICT(string animDict)
bool HAS_ANIM_DICT_LOADED(string animDict)
void REMOVE_ANIM_DICT(string animDict)
void REQUEST_ANIM_SET(string animSet)
bool HAS_ANIM_SET_LOADED(string animSet)
void REMOVE_ANIM_SET(string animSet)
void REQUEST_IPL(string iplName)
void REMOVE_IPL(string iplName)
bool IS_IPL_ACTIVE(string iplName)
bool IS_MODEL_A_BOAT(Hash model)
bool IS_MODEL_A_JETSKI(Hash model)
bool IS_MODEL_A_PLANE(Hash model)
bool IS_MODEL_A_HELI(Hash model)
bool IS_MODEL_A_CAR(Hash model)
bool IS_MODEL_A_TRAIN(Hash model)
bool IS_MODEL_A_BIKE(Hash model)
bool IS_MODEL_A_BICYCLE(Hash model)
bool IS_MODEL_A_QUAD(Hash model)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/streaming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
